#include <signal.h>
#include <stdlib.h>
#include "myc_str.h"
#include "sys_util.h"

#if __VMS

#include <unixio.h>

int sys_remove_file(F_CHAR(file), int file_len) {
  char buf[128];
  STR_TO_C(buf, file);
  return(delete(buf));
}

int sys_gmt_off() {
  return(0);
}

void sys_ctrl_init(void) {
  static int init=1;
  if (init) {
    init=0;
    DECC$CRTL_INIT();
  }
}

#else

#include <unistd.h>

int sys_remove_file_(F_CHAR(file), int file_len) {
  char buf[128];
  STR_TO_C(buf, file);
  return(unlink(buf));
}

#endif
